//neoclassic

#property indicator_separate_window
#property indicator_buffers 3

extern string s1="_SP500";
extern string s2="_DJI";
extern int period=24;
extern int hystory=1000;

double b1[], b2[], spread[];
int bars1=0;
int bars2=0;
double b1cur[], b2cur[];

int init()
  {
  
SetIndexStyle(0, DRAW_LINE, STYLE_SOLID, 1, Green);
SetIndexBuffer(0, b1);
SetIndexStyle(1, DRAW_LINE, STYLE_SOLID, 1, Blue);
SetIndexBuffer(1, b2);
SetIndexStyle(2, DRAW_HISTOGRAM, STYLE_SOLID, 1, Red);
SetIndexBuffer(2, spread);

ArrayResize(b1cur, hystory);
ArrayResize(b2cur, hystory);

  }


int start()
  {
if (bars1!=iBars(s1, 0) || bars2!=iBars(s2, 0))
{
int t=TimeCurrent();

int count=0;

while (true)
{
   double close1=iClose(s1, 0, iBarShift(s1,0,t,false));
   double close2=iClose(s2, 0, iBarShift(s2,0,t,false));

   if (b1cur[count-1]!=close1 || b2cur[count-1]!=close2) 
   {
      b1cur[count]=close1; 
      b2cur[count]=close2;
      count++;
   }

   t-=59;
   if (count>=hystory) break;
}

for (int i=hystory-period-1; i>=0; i--)
{  
   b1[i]=b1cur[i]/b1cur[i+period]-1;
   b2[i]=b2cur[i]/b2cur[i+period]-1;
   spread[i]=b1[i]-b2[i];
}
   

bars1=iBars(s1, 0);
bars2=iBars(s2, 0);
}

   return(0);
  }

